Subject: RE: [XCON] CPCP Requirement: Repeat times

From: [email-masked]
Date: Mon, 26 Jan 2004 16:33:41 +0200

I believe there has been more voices for having scheduling information in a conference policy than not. The issue was how complex do we make it.

iCal was introduced in the discussion as an indicator of how complex it can be.

Perhaps I'm missing your point. What was the reason for your objection again?

/Hisham

> -----Original Message-----
> From: ext Even, Roni [mailto:[email-masked]]
> Sent: 26.January.2004 14:45
> To: Khartabil Hisham (Nokia-TP/Helsinki); Even, Roni; 
> Koskelainen Petri
> (Nokia-NRC/Tampere); [email-masked]
> Subject: RE: [XCON] CPCP Requirement: Repeat times 
> 
> 
> Hisham,
> I can not understand why you conclude that there is a rough 
> consensus. I
> looked at this thread and there are mixed views.
> I would like to add that considering another protocol like 
> iCal points again
> to show that this is a different application. 
> I can agree to conference duration but I would recommend not 
> to get into
> future reservations
> Roni
> 
> *************************************
> Roni Even
> VP Product Planning
> Polycom Israel
> 
> Tel: +972-3-9251200
> Cell: +972-55-481099
> email:[email-masked]
> *******************************************
> 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, January 26, 2004 1:43 PM
> To: [email-masked]; [email-masked]; 
> [email-masked]
> Subject: RE: [XCON] CPCP Requirement: Repeat times 
> 
> 
> Roni,
> 
> Your objection is noted, but I believe we have rough 
> consensus on this issue
> already. The most recent discussions on the list have already 
> tapped into
> the solution domain.
> 
> Regards,
> Hisham
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]On 
> Behalf Of ext
> > Even, Roni
> > Sent: 25.January.2004 15:44
> > To: Koskelainen Petri (Nokia-NRC/Tampere); [email-masked]
> > Subject: RE: [XCON] CPCP Requirement: Repeat times 
> > 
> > 
> > Hi,
> > Repeating myself I would like to state my objection, and I 
> > would suggest to
> > have conference reservation functionality not in the scope of 
> > conference
> > policy but maybe as an application functionality that we may 
> > consider as a
> > different working item.
> > Roni
> > 
> > *************************************
> > Roni Even
> > 
> > Polycom Israel
> > 
> > Tel: +972-3-9251200
> > Cell: +972-55-481099
> > email:[email-masked]
> > *******************************************
> > 
> > 
> > -----Original Message-----
> > From: [email-masked] 
> [mailto:[email-masked]]
> > Sent: Sunday, January 25, 2004 3:31 PM
> > To: [email-masked]
> > Subject: RE: [XCON] CPCP Requirement: Repeat times 
> > 
> > 
> > 
> > Back to the original question in this thread:
> > 
> > > > > > > > Do we see a need for such capability using CPCP? 
> > > > > > > > If so, then we need to add a requirement.
> > 
> > I guess we can close this open issue now as rough consensus 
> seems to 
> > be that such a requirement is needed (at least for the 
> > start/stop/repeat
> > times).
> > Note that we don't have to design the actual solution yet 
> > (e.g. using iCal vs defining own format).
> > 
> > --
> > Petri
> > 
> > > > -----Original Message-----
> > > > From: ext Rosen, Brian [mailto:[email-masked]]
> > > > Sent: 21.January.2004 16:09
> > > > To: Khartabil Hisham (Nokia-TP/Helsinki)
> > > > Subject: RE: [XCON] CPCP Requirement: Repeat times 
> > > > 
> > > > 
> > > > I think we need to figure out where we are going on scheduling.
> > > > 
> > > > First, let me say that I think we SHOULD allow CPCP to at 
> > > > least specify start/stop times for conferences, and that if 
> > > > the start time is in the future, that is a reservation.
> > > 
> > > Agreed.
> > > 
> > > > 
> > > > What I want to discuss is, how far do we go, and what is 
> > > the end game?
> > > > I think we can agree that generalized scheduling is complex, 
> > > > and standards exist (iCal).  So, the issue I want to discuss is:
> > > > 	if we allow simple scheduling (start/stop) now, 
> do we EVENTUALLY
> > > > 		allow complex scheduling?  That implies 
> duplicating
> > significant
> > > > 		parts of e.g. iCal.
> > > > 
> > > > We could consider an alternative - explicitly support an iCal 
> > > > (actually iMIP) transaction now.  
> > > > 
> > > > One could allow the iMIP Request/Reply only (ie subset of 
> > > > iMIP) now (or maybe as a minimum).  
> > > > 
> > > > Or we could pull in some or all of calsch
> > > 
> > > If there is an XML schema already defined that we can use, 
> > then it is
> > > possible to embed that in CPCP. If you look at the solution 
> > > we are proposing (using XCAP), each feature, like 
> > conference-time, has its
> > own 
> > > XML namespace.
> > > We can take the iCal XML namespace and just drop it in there.
> > > 
> > > Regards,
> > > Hisham
> > > 
> > > > 
> > > > Brian
> > > > 
> > > > > -----Original Message-----
> > > > > From: [email-masked] 
> > > [mailto:[email-masked]]
> > > > > Sent: Wednesday, January 21, 2004 8:10 AM
> > > > > To: [email-masked]; [email-masked];
> > > > > [email-masked]; [email-masked]
> > > > > Subject: RE: [XCON] CPCP Requirement: Repeat times 
> > > > > 
> > > > > 
> > > > > Yes.
> > > > > 
> > > > > We all have weekly meetings with predefined start and stop 
> > > > > times. I think it is a valid use case for a user to create a 
> > > > > conference policy to satisfy this once and once only.
> > > > > 
> > > > > Regards,
> > > > > Hisham
> > > > > 
> > > > > > -----Original Message-----
> > > > > > From: ext Eric Burger [mailto:[email-masked]]
> > > > > > Sent: 20.January.2004 18:01
> > > > > > To: Even, Roni; Khartabil Hisham (Nokia-TP/Helsinki); 
> > > > > > Koskelainen Petri
> > > > > > (Nokia-NRC/Tampere); [email-masked]
> > > > > > Subject: RE: [XCON] CPCP Requirement: Repeat times 
> > > > > > 
> > > > > > 
> > > > > > For that matter, is there a use case for end points (XCON) 
> > > > > > doing such complicated scheduling?  Why don't we just take 
> > > > > > the bridge out of service?
> > > > > > 
> > > > > > Wow!  Agreeing with Roni twice in one day!!!
> > > > > > 
> > > > > > 
> > > > > > > -----Original Message-----
> > > > > > > From: Even, Roni [mailto:[email-masked]]
> > > > > > > Sent: Wednesday, January 07, 2004 4:56 AM
> > > > > > > To: [email-masked]'; Even, Roni;
> > > > > > > [email-masked]; [email-masked]
> > > > > > > Subject: RE: [XCON] CPCP Requirement: Repeat times 
> > > > > > > 
> > > > > > > 
> > > > > > > Hisham,
> > > > > > > 
> > > > > > > The conference server is not mentioned in
> > > > > > > draft-ietf-sipping-conferencing-framework-01. The 
> framework 
> > > > > > > mentioned the
> > > > > > > conference policy server. As for reservation my 
> > view is that 
> > > > > > > reservation is
> > > > > > > starting an ad-hoc conference when the schedule time has 
> > > > > > > arrived and it
> > > > > > > should not be part of the conference policy. 
> Reservation is 
> > > > > > a separate
> > > > > > > application from the conference policy. I suggest that if 
> > > > > > you want to
> > > > > > > address it then we should have a separate element in the 
> > > > > > > frame work which
> > > > > > > will be a reservation server.
> > > > > > > 
> > > > > > > Roni
> > > > > > > 
> > > > > > > *************************************
> > > > > > > Roni Even
> > > > > > > 
> > > > > > > Polycom Israel
> > > > > > > 
> > > > > > > Tel: +972-3-9251200
> > > > > > > Cell: +972-55-481099
> > > > > > > email:[email-masked]
> > > > > > > *******************************************
> > > > > > > 
> > > > > > > 
> > > > > > > -----Original Message-----
> > > > > > > From: [email-masked] 
> > > > > [mailto:[email-masked]]
> > > > > > > Sent: Wednesday, January 07, 2004 11:22 AM
> > > > > > > To: [email-masked]; [email-masked]; 
> > > > > > > [email-masked]
> > > > > > > Subject: RE: [XCON] CPCP Requirement: Repeat times 
> > > > > > > 
> > > > > > > 
> > > > > > > No, the focus host (conference server) is the one that 
> > > > handles the
> > > > > > > reservations. The focus is only created and 
> > destroyed by the 
> > > > > > > conference
> > > > > > > server according to the start and stop times.
> > > > > > > 
> > > > > > > /Hisham
> > > > > > > 
> > > > > > > > -----Original Message-----
> > > > > > > > From: ext Even, Roni [mailto:[email-masked]]
> > > > > > > > Sent: 06.January.2004 19:06
> > > > > > > > To: Koskelainen Petri (Nokia-NRC/Tampere); Even, Roni; 
> > > > > > > > Khartabil Hisham
> > > > > > > > (Nokia-TP/Helsinki); [email-masked] '
> > > > > > > > Subject: RE: [XCON] CPCP Requirement: Repeat times 
> > > > > > > > 
> > > > > > > > 
> > > > > > > > Hi Petri,
> > > > > > > > The CPS is a data storage that is used by the 
> > focus, so the 
> > > > > > > > focus will have
> > > > > > > > to handle the reservation
> > > > > > > > Roni
> > > > > > > > 
> > > > > > > > -----Original Message-----
> > > > > > > > From: [email-masked]
> > > > > > > > To: [email-masked]; 
> [email-masked]; 
> > > > > > > [email-masked]
> > > > > > > > Sent: 06/01/2004 18:50
> > > > > > > > Subject: RE: [XCON] CPCP Requirement: Repeat times 
> > > > > > > > 
> > > > > > > > Hi Roni,
> > > > > > > > 
> > > > > > > > > My opinion is that the conference policy needs only a 
> > > > > > > > > conference duration parameter if any. 
> > > > > > > > > I think that reservation is an external 
> > > > > > > > > application to the focus. According to the conference 
> > > > > > > > > framework the focus is using the information in the 
> > > > > > > > > conference policy server and the focus is 
> > > > > > > > > not the right place for reservation.
> > > > > > > > 
> > > > > > > > The reservation is sent to CPS, not to focus.
> > > > > > > > I think it makes sense to have this (repeat time) 
> > > capability in protocol since we need the feature anyway in 
> > real-world 
> > > (either in CPCP or in some new mystery protocol between the 
> > user and the 
> > > > > > reservation application).
> > > > > > > > 
> > > > > > > > 
> > > > > > > > 
> > > > > > > > --
> > > > > > > > Petri
> > > > > > > > 
> > > > > > > > 
> > > > > > > > > Regards
> > > > > > > > > Roni Even
> > > > > > > > > 
> > > > > > > > > -----Original Message-----
> > > > > > > > > From: [email-masked] 
> > > > > > [mailto:[email-masked]]
> > > > > > > > Sent: Monday, December 15, 2003 4:57 PM
> > > > > > > > To: [email-masked]
> > > > > > > > Subject: [XCON] CPCP Requirement: Repeat times
> > > > > > > > 
> > > > > > > > 
> > > > > > > > A conference has start and stop times. Although the 
> > > > > > current proposed solution has repeat times (eg: 
> > meeting repeats
> > weekly), 
> > > > > > there is no requirement for such.
> > > > > > > > 
> > > > > > > > Do we see a need for such capability using CPCP? If 
> > > so, then we need to add a requirement.
> > 
> > _______________________________________________
> > XCON mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/xcon
> > 
> > _______________________________________________
> > XCON mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/xcon
> > 
> 

_______________________________________________
XCON mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/xcon